"""FPGA-代码走查、代码审查"""

def parse_dmsc(desc, content):
    return [{
        'content': '通过人工审查及借助Vlint工具辅助分析的方式对代码审查范围内的源代码开展多个方面的审查，包括编程准则检查、代码流程审查、软件结构审查、需求实现审查、工程一致性检查',
        'yuqi': '代码编码符合编程准则、代码流程实现正确、代码结构设计合理，代码实现需求正确'
    }]
    
def parse_dmzc(desc,content):
    return [{
        'content': '设计具有代表性的测试用例，明确输入条件、走查步骤和执行结果，成立走查小组，集体对代码走查范围内的程序代码进行走查，记录走查结果',
        'yuqi': '按照设计的用例完成走查，走查结果符合预期'
    }]

def parse_luoji(desc,content):
    return [{
        'content': '使用仿真工具QuestaSim对测试覆盖率进行统计，包括语句覆盖率统计、分支覆盖率统计、状态机覆盖统计、条件覆盖统计、表达式覆盖统计',
        'yuqi': '各测试步骤、测试用例执行结果与预期一致，功能实现正确'
    }]